Sandboxes
Pause sandbox
Pause the sandbox
POST
/
sandboxes
/
{sandboxID}
/
pause
Pause sandbox
curl --request POST \
--url https://api.e2b.app/sandboxes/{sandboxID}/pause \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{
"memory": true
}'import requests
url = "https://api.e2b.app/sandboxes/{sandboxID}/pause"
payload = { "memory": True }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({memory: true})
};
fetch('https://api.e2b.app/sandboxes/{sandboxID}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Authorizations
Path Parameters
Body
application/json
Whether to capture a full memory snapshot. When false, only the filesystem is persisted and resuming the sandbox cold-boots (reboots) it from disk, losing in-memory state, running processes, and open connections. Resume it with an explicit request (connect or resume); auto-resume, which can be triggered by arbitrary traffic, refuses such a sandbox. Defaults to true.
Response
The sandbox was paused successfully and can be resumed
Was this page helpful?
⌘I
Pause sandbox
